How to install KSDK 1.2 support in Pex

cancel
Showing results for 
Search instead for 
Did you mean: 

How to install KSDK 1.2 support in Pex

1,466 Views
adyr
Contributor V

Hi,

I have downloaded KSDK 1.2 and tried to follow the instruction for adding support into Pex but I get an error when trying to install the Eclipse update. It say it is missing a dependency as shown below:

Cannot complete the install because one or more required items could not be found.

  Software being installed: KSDK 1.2.0 Eclipse Update 1.0.0.b150420 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.0.b150420)

  Missing requirement: KSDK 1.2.0 Eclipse Update 1.0.0.b150420 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.0.b150420) requires 'com.freescale.processorexpert.feature.core.kpsdk.feature.group [1.2.0,2.0.0)' but it could not be found

I have searched to try and find the component but had no luck finding it.

First I tried to add it to Pex that already had KSDK 1.1.1 support then I tried to uninstall and install again on a clean Pex.

How do I update Pex?

Once I have got Pex working what is the best way to update my existing IAR + KSDK 1.1.1 + Pex projects?

If I have to move to KDS 3.0 how do I import and upgrade my old IAR + KSDK 1.1.1 projects?

Thanks,

Adrian.

0 Kudos
8 Replies

292 Views
marek_neuzil
NXP Employee
NXP Employee

Hi Adrian,

Could you specify which version of the Eclipse or KDS have you tried to use for KSDK 1.2.0 eclispe update installation?

The KSDK 1.2.0 is compatible with the latest version of Processor Expert for Kinetis (part of the KDS 3.0.0 or PEx for Kinetis 3.0).

You can find PEx for Kinetis download link on the Freescale page Processor Expert Software, Microcontroller Dr|Freescale

There are following variants:

pastedImage_1.png

If you are interested in porting of existing project in KDS 3.0.0, you can use KDS_3.0.0\doc\KDS_Porting_Guide.pdf document.

But you should be careful when you import an existing KSDK 1.1.0 project in KDS 3.0.0/KSDK 1.2.0 because KSDK 1.2.0 API has been updated and you need to verify all settings of imported components (PEx components properties).

Best Regards,

Marek Neuzil

0 Kudos

292 Views
Kewal
Contributor IV

Marek,

I seem to have the same issue and I wish to use the standalone Driver Suite 10.4 with the KSDK 1.2.0.

However I just did a quick check with Kinetis design studio and it works. We are using IAR EW and want to use the KSDK 1.2.0 with processor expert driver suite v10.4.

thanks,

Kewal

0 Kudos

292 Views
adyr
Contributor V

Hi Kewal,

You can use KDS 3.0 with IAR EW via the IAR connection in exactly the same way as you did with Processor Expert Driver Suite 10.4. The problem with importing the old projects is due to the new structure of KSDK 1.2 so you will have to recreate the projects with KDS 3.0 / KSDK 1.2. Then add and configure the hardware components in KDS using its Processor Expert facilities. Then port across your old application specific code to the new projects manually and adjust it to work with the new KSDK.

Hope that helps even if it is not entirely good news.

Best regards,

Adrian.

0 Kudos

292 Views
BlackNight
NXP Employee
NXP Employee

Hi Kewal,

You can use KDS v3.0.0 with IAR (and Keil) instead of using Driver Suite 10.4, see Tutorial: Using Kinetis Design Studio V3.0.0 with IAR and Keil IDE’s

I hope this helps,

Erich

0 Kudos

292 Views
Kewal
Contributor IV

Hi Erich,

when i try to add a project connection i am getting an error Multiple tools write to the same file also if i copy the files manully and try to include that in IAR and compile also results in the same problem.

thanks,

Kewal

0 Kudos

292 Views
adyr
Contributor V

Hi Marek,

I was using the standalone Driver Suite 10.4 with the KSDK 1.1 as I use the IAR workbench for compiling and debugging via the IAR Project Connection.

Now that KDS 3.0 supports the IAR compiler I have manually recreated one of my projects using it, as all attempts to import the old projects resulted in hundreds of errors and it was quicker to start again. I still had a lot of errors to fix due to new naming conventions, etc. which does worry me for the future. At the moment my projects are new and small (I'm just testing the new hardware) so does that mean that updating to future KDSK versions is going to be impractical?

The porting guide appears to only show how to import CodeWarrior projects and didn't work for me.

Thanks,

Adrian.

0 Kudos

292 Views
marek_neuzil
NXP Employee
NXP Employee

Hello Adrian,

Could you provide me your project for further analysis, please? I will analyze errors that are reported by your project when imported in KDS 3.0.0 and I will provide feedback to responsible development teams.

Best Regards,

Marek Neuzil

0 Kudos

292 Views
adyr
Contributor V

Hi Merek,

I have attached the Driver Suite 10.4 + KSDK 1.1.0 project that I tried to import into KDS 3.0 + KSDK 1.2. I have tried to clean it in both IAR and Pex so hopefully it is not too big.

P.S. The error about the mak file appeared after using the Pex clean command.

Best regards,

Adrian.

0 Kudos